﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class FinishWormhole : Planet
{
    [SerializeField]
    private float _finishRange;

    private void Update()
    {
        foreach(KeyValuePair<Collider2D, Rigidbody2D> kVP in _objectsInSphereOfInfluence)
        {
            if(Vector3.Distance(transform.position, kVP.Value.transform.position) < _finishRange)
            {
                Rocket rocket = kVP.Value.GetComponent<Rocket>();
                if(rocket != null)
                {
                    GameManager.Instance.RocketHasWon(rocket);
                }
            }
        }
    }
}
