﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class GameOverScreen : MonoBehaviour
{
    [SerializeField]
    private Rocket _rocket;
    [SerializeField]
    private Text _text;

    public void RocketHasWon(Rocket rocket)
    {
        gameObject.SetActive(true);

        _text.text = _rocket == rocket ? "You win!\nPress escape to return to the menu or R to restart." : "You lose!\nPress escape to return the menu or R to restart.";
    }

    public void CoopRocketHasLost(Rocket rocket)
    {
        gameObject.SetActive(true);
        _text.text = "You lose!\nPress escape to return the menu or R to restart.";
    }

}
