﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class TutorialManager : MonoBehaviour
{
    [SerializeField]
    private Image _slide;

    [SerializeField]
    private Sprite[] _slides;

    [SerializeField] private Text _buttonText;

    private int _currentSlide = -1;

    private void Start()
    {
        Time.timeScale = 0f;
        Next();
    }

    public void Next()
    {
        _currentSlide++;

        if (_currentSlide == _slides.Length - 1)
        {
            _buttonText.text = "START!";
        }

        if (_currentSlide < _slides.Length)
        {
            _slide.sprite = _slides[_currentSlide];
        }
        else
        {
            Time.timeScale = 1f;
            Destroy(gameObject);
        }
    }
}
